<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    Task 501.50
</body>
<script>

    function find_square_number(n) {
        //flag = 1 => số chính phương
        //flag = 0 => không phải số chính phương

        let flag = 64;

        //Tìm số bất kỳ nhỏ hơn hoặc bằng n mà bình phương bằng n
        let i = 0;
        while (i <= n) {
            if (Math.pow(i, 2) == n) {
                flag = 1;
                break; /*Chỉ cần tìm thấy 1 ước số là đủ và thoát vòng lặp*/
            }
            i++;
        }
        return flag;
    }
</script>

</html>